Skip to content

nodes / certificates ​

8 operations.

GET /nodes/{node}/certificates ​

ts
proxmox.nodes.$(node).certificates.$get()

Node index.

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

GET /nodes/{node}/certificates/acme ​

ts
proxmox.nodes.$(node).certificates.acme.$get()

ACME index.

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

POST /nodes/{node}/certificates/acme/certificate ​

ts
proxmox.nodes.$(node).certificates.acme.certificate.$post()

Order a new certificate from ACME-compatible CA.

Returns string.

ParameterTypeRequiredNotes
forcebooleanOverwrite existing custom certificate. — default 0
nodestringyesThe cluster node name. — format pve-node

PUT /nodes/{node}/certificates/acme/certificate ​

ts
proxmox.nodes.$(node).certificates.acme.certificate.$put()

Renew existing certificate from CA.

Returns string.

ParameterTypeRequiredNotes
forcebooleanForce renewal even if expiry is more than 30 days away. — default 0
nodestringyesThe cluster node name. — format pve-node

DELETE /nodes/{node}/certificates/acme/certificate ​

ts
proxmox.nodes.$(node).certificates.acme.certificate.$delete()

Revoke existing certificate from CA.

Returns string.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

POST /nodes/{node}/certificates/custom ​

ts
proxmox.nodes.$(node).certificates.custom.$post()

Upload or update custom certificate chain and key.

Returns object.

ParameterTypeRequiredNotes
certificatesstringyesPEM encoded certificate (chain). — format pem-certificate-chain
forcebooleanOverwrite existing custom or ACME certificate files. — default 0
keystringPEM encoded private key. — format pem-string
nodestringyesThe cluster node name. — format pve-node
restartbooleanRestart pveproxy. — default 0

DELETE /nodes/{node}/certificates/custom ​

ts
proxmox.nodes.$(node).certificates.custom.$delete()

DELETE custom certificate chain and key.

Returns nothing.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node
restartbooleanRestart pveproxy. — default 0

GET /nodes/{node}/certificates/info ​

ts
proxmox.nodes.$(node).certificates.info.$get()

Get information about node's certificates.

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node